1. Auth
api-security
  • Security-Api
    • Roles
      • Index
      • Create
      • Show
      • Update
      • Delete
    • Devices
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Security Event
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Alerts
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incidents
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incident Comments
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Auth
      • Login
        POST
      • Logout
        POST
      • Me
        GET
    • Dashboard
      • Index
    • Notifications
      • Index
      • Unread
      • Mark As Read
  1. Auth

Me

Developing
GET
http://127.0.0.1:8000/api/me
Returns the profile information of the currently authenticated user.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠401Unautheticated
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://127.0.0.1:8000/api/me' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'
Response Response Example
200 - Éxito
{
    "user": {
        "id": 1,
        "name": "admin",
        "role_id": 1,
        "email": "admin@securityapi.com",
        "email_verified_at": null,
        "created_at": "2026-06-05T13:46:36.000000Z",
        "updated_at": "2026-06-05T13:46:36.000000Z"
    }
}
Modified at 2026-06-16 14:37:11
Previous
Logout
Next
Index
Built with